package routers

import (
	"FollowUp_Notice/controllers"
	beego "github.com/beego/beego/v2/server/web"
)

func init() {

	illness := beego.NewNamespace("/Surgical",
		beego.NSRouter("/List", &controllers.SurgicalController{}, "*:Surgical_List"), // 标签列表
		beego.NSRouter("/Add", &controllers.SurgicalController{}, "*:Surgical_Add"),   // 获取标签
		beego.NSRouter("/Edit", &controllers.SurgicalController{}, "*:Surgical_Edit"), // 添加标签
		beego.NSRouter("/Del", &controllers.SurgicalController{}, "*:Surgical_Del"),   // 删除标签
	)

	beego.AddNamespace(illness)
}
